//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "mn_demo.h"
#include "bitmapplus.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
	JpgQuality=50;
	TifMethod=mtNone;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::About1Click(TObject *Sender)
{
	ShowMessage("Demo of using TBitmapPlus: load/save BMP,JPG,GIF,TIF and PNG files");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Open1Click(TObject *Sender)
{
	if(OpenDialog1->Execute())
	{ TBitmapPlus *bmpp = new TBitmapPlus;
	  bmpp->LoadFromFile(OpenDialog1->FileName);
	  Image1->Picture->Bitmap->Assign(bmpp);
	  delete bmpp;
	}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Close1Click(TObject *Sender)
{
	if(SaveDialog1->Execute())
	{
		TBitmapPlus *bmpp = new TBitmapPlus;
		bmpp->Assign(Image1->Picture->Bitmap);
		bmpp->Quality=JpgQuality;                              	//   
		bmpp->Method=TifMethod;
		bmpp->SaveToFile(SaveDialog1->FileName);

		bmpp->LoadFromFile(SaveDialog1->FileName);					//   
		Image1->Picture->Bitmap->Assign(bmpp);
		delete bmpp;
	}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Exit1Click(TObject *Sender)
{
	Application->Terminate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N8bpp1Click(TObject *Sender)
{
	Image1->Picture->Bitmap->PixelFormat=pf8bit;              // BMP-     
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N16bpp1Click(TObject *Sender)
{
	Image1->Picture->Bitmap->PixelFormat=pf15bit;              // BMP-     
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N24bpp1Click(TObject *Sender)
{
	Image1->Picture->Bitmap->PixelFormat=pf24bit;              // BMP-     
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Low1Click(TObject *Sender)
{
	JpgQuality=5;             //   JPEG-
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Medium1Click(TObject *Sender)
{
	JpgQuality=50;             //   JPEG-
}
//---------------------------------------------------------------------------
void __fastcall TForm1::High1Click(TObject *Sender)
{
	JpgQuality=95;             //   JPEG-
}
//---------------------------------------------------------------------------

void __fastcall TForm1::None1Click(TObject *Sender)
{
	TifMethod=mtNone;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::LZW1Click(TObject *Sender)
{
	TifMethod=mtLzw;
}
//---------------------------------------------------------------------------

